diff --git a/graphics/spectacle/Makefile b/graphics/spectacle/Makefile
index 3f0c93c2c777..35d9aeb2ae8d 100644
--- a/graphics/spectacle/Makefile
+++ b/graphics/spectacle/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	spectacle
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	graphics kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,19 +8,20 @@ WWW=		https://projects.kde.org/projects/kde/kdegraphics/spectacle
 
 LIB_DEPENDS=	libxcb-cursor.so:x11/xcb-util-cursor \
 		libxcb-image.so:x11/xcb-util-image \
-		libxcb-util.so:x11/xcb-util
-RUN_DEPENDS=	kipi-plugins>=0:graphics/kipi-plugins
+		libxcb-util.so:x11/xcb-util \
+		libkImageAnnotator-Qt6.so:graphics/kimageannotator@qt6 \
+		libZXing.so:textproc/zxing-cpp \
+		libopencv_core.so:graphics/opencv
 
-USES=		cmake compiler:c++11-lang gettext kde:5 pkgconfig qt:5 tar:xz \
+USES=		cmake compiler:c++11-lang gettext kde:6 pkgconfig qt:6 tar:xz \
 		xorg
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
 		dbusaddons globalaccel guiaddons i18n jobwidgets kdeclarative \
-		kio libkipi newstuff notifications package purpose \
-		service solid wayland widgetsaddons windowsystem xmlgui \
+		kio layer-shell-qt newstuff notifications package prison \
+		purpose service solid statusnotifieritem wayland \
+		widgetsaddons windowsystem xmlgui \
 		doctools:build ecm:build plasma-wayland-protocols:build
-USE_QT=		concurrent core dbus declarative gui network printsupport \
-		quickcontrols svg widgets x11extras xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base multimedia
 USE_XORG=	x11 xcb xext xfixes
 
 OPTIONS_DEFINE=			DOCS PIPEWIRE
diff --git a/graphics/spectacle/distinfo b/graphics/spectacle/distinfo
index 1f7039e3798a..911805418ed9 100644
--- a/graphics/spectacle/distinfo
+++ b/graphics/spectacle/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889414
-SHA256 (KDE/release-service/23.08.5/spectacle-23.08.5.tar.xz) = 54f830ef6db284a7f482575f7793eb4a98915c4612b5b165885b5c29881d763c
-SIZE (KDE/release-service/23.08.5/spectacle-23.08.5.tar.xz) = 1353080
+TIMESTAMP = 1734460226
+SHA256 (KDE/release-service/24.12.0/spectacle-24.12.0.tar.xz) = 091210b6b61aa725f808a0c0b70de164b8ac7ede52ca3f56a012191a2fcdf0e2
+SIZE (KDE/release-service/24.12.0/spectacle-24.12.0.tar.xz) = 1561540
diff --git a/graphics/spectacle/pkg-plist b/graphics/spectacle/pkg-plist
index c05c65c9bc49..c3dd8927c372 100644
--- a/graphics/spectacle/pkg-plist
+++ b/graphics/spectacle/pkg-plist
@@ -1,19 +1,20 @@
 bin/spectacle
-lib/kconf_update_bin/spectacle-migrate-rememberregion
-lib/kconf_update_bin/spectacle-migrate-shortcuts
+lib/kconf_update_bin/spectacle-%%KDE_APPLICATIONS_VERSION_SHORT%%.02.0-change_placeholder_format
+lib/kconf_update_bin/spectacle-%%KDE_APPLICATIONS_VERSION_SHORT%%.02.0-keep_old_filename_templates
+lib/kconf_update_bin/spectacle-%%KDE_APPLICATIONS_VERSION_SHORT%%.02.0-keep_old_save_location
+lib/kconf_update_bin/spectacle-%%KDE_APPLICATIONS_VERSION_SHORT%%.02.0-rename_settings
+lib/kconf_update_bin/spectacle-%%KDE_APPLICATIONS_VERSION_SHORT%%.02.0-video_format
 lib/systemd/user/app-org.kde.spectacle.service
 share/applications/org.kde.spectacle.desktop
 share/dbus-1/interfaces/org.kde.Spectacle.xml
 share/dbus-1/services/org.kde.Spectacle.service
+share/dbus-1/services/org.kde.spectacle.service
 share/icons/hicolor/scalable/apps/spectacle.svg
-share/kconf_update/50-clipboard_settings_change.py
-share/kconf_update/spectacle_clipboard.upd
-share/kconf_update/spectacle_newConfig.upd
-share/kconf_update/spectacle_rememberregion.upd
-share/kconf_update/spectacle_shortcuts.upd
+share/kconf_update/spectacle.upd
 share/kglobalaccel/org.kde.spectacle.desktop
-share/knotifications5/spectacle.notifyrc
+share/knotifications6/spectacle.notifyrc
 share/locale/ar/LC_MESSAGES/spectacle.mo
+share/locale/ast/LC_MESSAGES/spectacle.mo
 share/locale/az/LC_MESSAGES/spectacle.mo
 share/locale/bg/LC_MESSAGES/spectacle.mo
 share/locale/ca/LC_MESSAGES/spectacle.mo
@@ -42,6 +43,7 @@ share/locale/ja/LC_MESSAGES/spectacle.mo
 share/locale/ka/LC_MESSAGES/spectacle.mo
 share/locale/ko/LC_MESSAGES/spectacle.mo
 share/locale/lt/LC_MESSAGES/spectacle.mo
+share/locale/lv/LC_MESSAGES/spectacle.mo
 share/locale/ml/LC_MESSAGES/spectacle.mo
 share/locale/nl/LC_MESSAGES/spectacle.mo
 share/locale/nn/LC_MESSAGES/spectacle.mo
@@ -69,7 +71,9 @@ share/man/es/man1/spectacle.1.gz
 share/man/it/man1/spectacle.1.gz
 share/man/man1/spectacle.1.gz
 share/man/nl/man1/spectacle.1.gz
+share/man/sl/man1/spectacle.1.gz
 share/man/sv/man1/spectacle.1.gz
+share/man/tr/man1/spectacle.1.gz
 share/man/uk/man1/spectacle.1.gz
 share/metainfo/org.kde.spectacle.appdata.xml
-share/qlogging-categories5/spectacle.categories
+share/qlogging-categories6/spectacle.categories
diff --git a/irc/konversation/Makefile b/irc/konversation/Makefile
index 629de77d6e69..1a5aa832f348 100644
--- a/irc/konversation/Makefile
+++ b/irc/konversation/Makefile
@@ -8,25 +8,24 @@ WWW=		https://konversation.kde.org
 
 LICENSE=	GPLv2+
 
-USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:5 \
-		python:run qca qt:5 shebangfix tar:xz xorg
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:6 \
+		qca qt:6 shebangfix tar:xz xorg \
+		python:run
 USE_KDE=	archive attica auth bookmarks codecs completion config \
-		configwidgets coreaddons crash dbusaddons doctools \
-		emoticons globalaccel i18n iconthemes idletime itemviews \
-		jobwidgets kio newstuff notifications notifyconfig parts phonon service solid \
-		sonnet textwidgets wallet widgetsaddons windowsystem xmlgui \
-		ecm:build \
-		init:run
-USE_QT=		concurrent core dbus gui multimedia network widgets xml \
-		buildtools:build qmake:build
+		configwidgets coreaddons crash dbusaddons doctools globalaccel \
+		i18n iconthemes idletime itemviews jobwidgets kio newstuff \
+		notifications notifyconfig parts phonon service solid sonnet \
+		statusnotifieritem textwidgets wallet widgetsaddons \
+		windowsystem xmlgui \
+		ecm:build
+USE_QT=		base
 USE_XORG=	x11
 
 SHEBANG_FILES=	data/scripts/bug \
 		data/scripts/cmd \
 		data/scripts/media \
 		data/scripts/sayclip \
-		data/scripts/sysinfo \
-		data/updaters/*.pl
+		data/scripts/sysinfo
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/irc/konversation/distinfo b/irc/konversation/distinfo
index 1c5671a37a90..b71f7f9068f4 100644
--- a/irc/konversation/distinfo
+++ b/irc/konversation/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889322
-SHA256 (KDE/release-service/23.08.5/konversation-23.08.5.tar.xz) = 60576f16773789596b612969bbbf3a2762ef1cbab21bc19565483310e63d25be
-SIZE (KDE/release-service/23.08.5/konversation-23.08.5.tar.xz) = 4490296
+TIMESTAMP = 1734460228
+SHA256 (KDE/release-service/24.12.0/konversation-24.12.0.tar.xz) = 1e8080a78372bc09e812c9278550763b8328f7aa78fcb3c93f04e492a5a3cd88
+SIZE (KDE/release-service/24.12.0/konversation-24.12.0.tar.xz) = 4415648
diff --git a/irc/konversation/pkg-plist b/irc/konversation/pkg-plist
index 0850a668fc9a..d59a7e876055 100644
--- a/irc/konversation/pkg-plist
+++ b/irc/konversation/pkg-plist
@@ -13,17 +13,7 @@ share/icons/hicolor/48x48/actions/konv_message.png
 share/icons/hicolor/48x48/apps/konversation.png
 share/icons/hicolor/64x64/actions/konv_message.png
 share/icons/hicolor/64x64/apps/konversation.png
-share/kconf_update/konversation-0.19-appearance.pl
-share/kconf_update/konversation-0.19-colorcodes.pl
-share/kconf_update/konversation-0.19-colors.pl
-share/kconf_update/konversation-0.19-custombrowser.pl
-share/kconf_update/konversation-0.19-notifylists.pl
-share/kconf_update/konversation-0.19-sortorder.pl
-share/kconf_update/konversation-0.19-tabplacement.pl
-share/kconf_update/konversation-0.20-customfonts.pl
-share/kconf_update/konversation-0.20-quickbuttons.pl
-share/kconf_update/konversation.upd
-share/knotifications5/konversation.notifyrc
+share/knotifications6/konversation.notifyrc
 share/knsrcfiles/konversation_nicklist_theme.knsrc
 %%DATADIR%%/scripting_support/python/konversation/__init__.py
 %%DATADIR%%/scripting_support/python/konversation/dbus.py
@@ -113,6 +103,7 @@ share/knsrcfiles/konversation_nicklist_theme.knsrc
 %%DATADIR%%/themes/square/irc_owner.png
 %%DATADIR%%/themes/square/irc_voice.png
 share/locale/ar/LC_MESSAGES/konversation.mo
+share/locale/ast/LC_MESSAGES/konversation.mo
 share/locale/bg/LC_MESSAGES/konversation.mo
 share/locale/br/LC_MESSAGES/konversation.mo
 share/locale/bs/LC_MESSAGES/konversation.mo
@@ -146,6 +137,7 @@ share/locale/kk/LC_MESSAGES/konversation.mo
 share/locale/km/LC_MESSAGES/konversation.mo
 share/locale/ko/LC_MESSAGES/konversation.mo
 share/locale/lt/LC_MESSAGES/konversation.mo
+share/locale/lv/LC_MESSAGES/konversation.mo
 share/locale/mr/LC_MESSAGES/konversation.mo
 share/locale/ms/LC_MESSAGES/konversation.mo
 share/locale/mt/LC_MESSAGES/konversation.mo
@@ -176,4 +168,4 @@ share/locale/uk/LC_MESSAGES/konversation.mo
 share/locale/zh_CN/LC_MESSAGES/konversation.mo
 share/locale/zh_TW/LC_MESSAGES/konversation.mo
 share/metainfo/org.kde.konversation.appdata.xml
-share/qlogging-categories5/konversation.categories
+share/qlogging-categories6/konversation.categories
diff --git a/japanese/kiten/Makefile b/japanese/kiten/Makefile
index 1fcdf7249c8a..7abe2917fdba 100644
--- a/japanese/kiten/Makefile
+++ b/japanese/kiten/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Japanese reference/study tool for KDE
 WWW=		https://edu.kde.org/kiten
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth archive codecs completion config configwidgets coreaddons \
-		crash doctools i18n jobwidgets js khtml kio notifications \
-		parts service sonnet textwidgets widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
+		crash doctools i18n jobwidgets kio notifications parts service \
+		sonnet textwidgets widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/japanese/kiten/distinfo b/japanese/kiten/distinfo
index 473951c76a30..08b0fd9a2e12 100644
--- a/japanese/kiten/distinfo
+++ b/japanese/kiten/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889371
-SHA256 (KDE/release-service/23.08.5/kiten-23.08.5.tar.xz) = 1ee8516beb7c9bf3accf5ee32a08e47609d897476a5f9967e4d179533531623a
-SIZE (KDE/release-service/23.08.5/kiten-23.08.5.tar.xz) = 11336836
+TIMESTAMP = 1734460230
+SHA256 (KDE/release-service/24.12.0/kiten-24.12.0.tar.xz) = 80e473382b9a1b18e62deebf44cbbb511a77bdb8ee2fbb05029a83540437a8ee
+SIZE (KDE/release-service/24.12.0/kiten-24.12.0.tar.xz) = 11316240
diff --git a/japanese/kiten/pkg-plist b/japanese/kiten/pkg-plist
index e0d632b76550..e69dd1e6f2f8 100644
--- a/japanese/kiten/pkg-plist
+++ b/japanese/kiten/pkg-plist
@@ -1,5 +1,4 @@
 bin/kiten
-bin/kitengen
 bin/kitenkanjibrowser
 bin/kitenradselect
 include/libkiten/DictEdict/dictfileedict.h
@@ -12,10 +11,9 @@ include/libkiten/dictquery.h
 include/libkiten/entry.h
 include/libkiten/entrylist.h
 include/libkiten/historyptrlist.h
-include/libkiten/kromajiedit.h
 lib/libkiten.so
-lib/libkiten.so.5
-lib/libkiten.so.5.0.0
+lib/libkiten.so.6
+lib/libkiten.so.6.0.0
 share/applications/org.kde.kiten.desktop
 share/applications/org.kde.kitenkanjibrowser.desktop
 share/applications/org.kde.kitenradselect.desktop
@@ -33,11 +31,9 @@ share/icons/hicolor/scalable/apps/kiten.svgz
 %%DATADIR%%/radkfile
 %%DATADIR%%/romkana.cnv
 %%DATADIR%%/vconj
-share/kxmlgui5/kiten/kitenui.rc
-share/kxmlgui5/kitenkanjibrowser/kanjibrowserui.rc
-share/kxmlgui5/kitenradselect/radselectui.rc
 share/locale/af/LC_MESSAGES/kiten.mo
 share/locale/ar/LC_MESSAGES/kiten.mo
+share/locale/ast/LC_MESSAGES/kiten.mo
 share/locale/be/LC_MESSAGES/kiten.mo
 share/locale/bg/LC_MESSAGES/kiten.mo
 share/locale/br/LC_MESSAGES/kiten.mo
@@ -59,10 +55,12 @@ share/locale/fi/LC_MESSAGES/kiten.mo
 share/locale/fr/LC_MESSAGES/kiten.mo
 share/locale/ga/LC_MESSAGES/kiten.mo
 share/locale/gl/LC_MESSAGES/kiten.mo
+share/locale/he/LC_MESSAGES/kiten.mo
 share/locale/hi/LC_MESSAGES/kiten.mo
 share/locale/hne/LC_MESSAGES/kiten.mo
 share/locale/hr/LC_MESSAGES/kiten.mo
 share/locale/hu/LC_MESSAGES/kiten.mo
+share/locale/ia/LC_MESSAGES/kiten.mo
 share/locale/is/LC_MESSAGES/kiten.mo
 share/locale/it/LC_MESSAGES/kiten.mo
 share/locale/ja/LC_MESSAGES/kiten.mo
diff --git a/lang/kross-interpreters/distinfo b/lang/kross-interpreters/distinfo
index 915ec14c3845..d1f00fd0eb73 100644
--- a/lang/kross-interpreters/distinfo
+++ b/lang/kross-interpreters/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889331
-SHA256 (KDE/release-service/23.08.5/kross-interpreters-23.08.5.tar.xz) = 357810737c680036ca244d1f93c1a38c6183c54855c4f4a200bda52a8837fa7b
-SIZE (KDE/release-service/23.08.5/kross-interpreters-23.08.5.tar.xz) = 151756
+TIMESTAMP = 1734460232
+SHA256 (KDE/release-service/24.12.0/kross-interpreters-24.12.0.tar.xz) = 1a2515cc79bf036cdf44281c1ae2e208d82da1869cae378f77ca82d7e9dc3529
+SIZE (KDE/release-service/24.12.0/kross-interpreters-24.12.0.tar.xz) = 151732
diff --git a/lang/kturtle/Makefile b/lang/kturtle/Makefile
index 572e26e5f317..cc37b385ba74 100644
--- a/lang/kturtle/Makefile
+++ b/lang/kturtle/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Educational programming environment for KDE
 WWW=		https://edu.kde.org/kturtle
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	attica auth codecs config configwidgets coreaddons crash \
-		emoticons i18n init itemmodels kio newstuff \
-		service sonnet textwidgets widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	attica auth codecs config configwidgets coreaddons crash i18n \
+		itemmodels kio newstuff service sonnet textwidgets \
+		widgetsaddons xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus gui network printsupport svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/lang/kturtle/distinfo b/lang/kturtle/distinfo
index 34b44a32d6c9..c8b11cb811a8 100644
--- a/lang/kturtle/distinfo
+++ b/lang/kturtle/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889330
-SHA256 (KDE/release-service/23.08.5/kturtle-23.08.5.tar.xz) = e423b61140eab5bf75b1ba3d3d68fb5b8937bd19799f0125db5bfb96c9420dd6
-SIZE (KDE/release-service/23.08.5/kturtle-23.08.5.tar.xz) = 2248160
+TIMESTAMP = 1734460234
+SHA256 (KDE/release-service/24.12.0/kturtle-24.12.0.tar.xz) = e0c2310fbcd76bae4dd33e35773f1d7d55b97117e6bbf7887b5208800aa9474c
+SIZE (KDE/release-service/24.12.0/kturtle-24.12.0.tar.xz) = 2096032
diff --git a/lang/kturtle/pkg-plist b/lang/kturtle/pkg-plist
index b9c207bccc51..75de8d7ba8e3 100644
--- a/lang/kturtle/pkg-plist
+++ b/lang/kturtle/pkg-plist
@@ -1,5 +1,4 @@
 bin/kturtle
-etc/xdg/kturtle.knsrc
 share/applications/org.kde.kturtle.desktop
 share/icons/hicolor/128x128/apps/kturtle.png
 share/icons/hicolor/16x16/apps/kturtle.png
@@ -7,8 +6,9 @@ share/icons/hicolor/22x22/apps/kturtle.png
 share/icons/hicolor/32x32/apps/kturtle.png
 share/icons/hicolor/48x48/apps/kturtle.png
 share/icons/hicolor/64x64/apps/kturtle.png
-share/kxmlgui5/kturtle/kturtleui.rc
+share/knsrcfiles/kturtle.knsrc
 share/locale/ar/LC_MESSAGES/kturtle.mo
+share/locale/ast/LC_MESSAGES/kturtle.mo
 share/locale/be/LC_MESSAGES/kturtle.mo
 share/locale/bg/LC_MESSAGES/kturtle.mo
 share/locale/bn/LC_MESSAGES/kturtle.mo
@@ -38,6 +38,7 @@ share/locale/hne/LC_MESSAGES/kturtle.mo
 share/locale/hr/LC_MESSAGES/kturtle.mo
 share/locale/hu/LC_MESSAGES/kturtle.mo
 share/locale/hy/LC_MESSAGES/kturtle.mo
+share/locale/ia/LC_MESSAGES/kturtle.mo
 share/locale/is/LC_MESSAGES/kturtle.mo
 share/locale/it/LC_MESSAGES/kturtle.mo
 share/locale/ja/LC_MESSAGES/kturtle.mo
diff --git a/math/analitza/Makefile b/math/analitza/Makefile
index 63830f4051aa..ddcfe404f8af 100644
--- a/math/analitza/Makefile
+++ b/math/analitza/Makefile
@@ -11,15 +11,13 @@ LICENSE_COMB=		multi
 LICENSE_FILE_GFDL=	${WRKSRC}/COPYING.DOC
 LICENSE_FILE_GPLv2=	${WRKSRC}/COPYING
 
-USES=		cmake compiler:c++11-lang eigen:3 gl kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang eigen:3 gl kde:6 qt:6 tar:xz
 USE_GL=		glu
 USE_KDE=	ecm:build
-USE_QT=		core declarative gui network opengl printsupport svg widgets xml \
-		buildtools:build linguisttools:build qmake:build testlib:build
-
+USE_QT=		5compat base svg
 USE_LDCONFIG=	yes
 
-SHLIB_VER=	8.0.0
+SHLIB_VER=	9.0.0
 PLIST_SUB+=	SHLIB_VER="${SHLIB_VER}" \
 		SHLIB_SHVER="${SHLIB_VER:R:R}"
 
diff --git a/math/analitza/distinfo b/math/analitza/distinfo
index 6e961dc3c4f1..126ca2988d19 100644
--- a/math/analitza/distinfo
+++ b/math/analitza/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889314
-SHA256 (KDE/release-service/23.08.5/analitza-23.08.5.tar.xz) = 46ff3e93387cd8e341fc8c24a165127b0d60572c84b78b92337752e64ab606c0
-SIZE (KDE/release-service/23.08.5/analitza-23.08.5.tar.xz) = 352984
+TIMESTAMP = 1734460235
+SHA256 (KDE/release-service/24.12.0/analitza-24.12.0.tar.xz) = 82b8ae9147cea0fde1c47f75338b499284e273cd2ae2a5902ba0366a7097a575
+SIZE (KDE/release-service/24.12.0/analitza-24.12.0.tar.xz) = 359960
diff --git a/math/analitza/pkg-plist b/math/analitza/pkg-plist
index 8a0fbb7a1859..afeefe0f8b1a 100644
--- a/math/analitza/pkg-plist
+++ b/math/analitza/pkg-plist
@@ -1,50 +1,50 @@
-include/Analitza5/analitza/abstractexpressionvisitor.h
-include/Analitza5/analitza/abstractlexer.h
-include/Analitza5/analitza/analitzaexport.h
-include/Analitza5/analitza/analitzautils.h
-include/Analitza5/analitza/analyzer.h
-include/Analitza5/analitza/apply.h
-include/Analitza5/analitza/builtinmethods.h
-include/Analitza5/analitza/container.h
-include/Analitza5/analitza/customobject.h
-include/Analitza5/analitza/expression.h
-include/Analitza5/analitza/expressionstream.h
-include/Analitza5/analitza/expressiontype.h
-include/Analitza5/analitza/importqobjectmetatype.h
-include/Analitza5/analitza/list.h
-include/Analitza5/analitza/matrix.h
-include/Analitza5/analitza/object.h
-include/Analitza5/analitza/operations.h
-include/Analitza5/analitza/operator.h
-include/Analitza5/analitza/value.h
-include/Analitza5/analitza/variable.h
-include/Analitza5/analitza/variables.h
-include/Analitza5/analitza/vector.h
-include/Analitza5/analitza_version.h
-include/Analitza5/analitzagui/algebrahighlighter.h
-include/Analitza5/analitzagui/analitzaguiexport.h
-include/Analitza5/analitzagui/analitzawidgets_export.h
-include/Analitza5/analitzagui/expressionedit.h
-include/Analitza5/analitzagui/operatorsmodel.h
-include/Analitza5/analitzagui/plotsview2d.h
-include/Analitza5/analitzagui/plotsview3d_es.h
-include/Analitza5/analitzagui/variablesmodel.h
-include/Analitza5/analitzaplot/analitzaplotexport.h
-include/Analitza5/analitzaplot/functiongraph.h
-include/Analitza5/analitzaplot/planecurve.h
-include/Analitza5/analitzaplot/plotitem.h
-include/Analitza5/analitzaplot/plotsdictionarymodel.h
-include/Analitza5/analitzaplot/plotsfactory.h
-include/Analitza5/analitzaplot/plotsmodel.h
-include/Analitza5/analitzaplot/plotter2d.h
-include/Analitza5/analitzaplot/plotter3d_es.h
-include/Analitza5/analitzaplot/plottingenums.h
-include/Analitza5/analitzaplot/spacecurve.h
-include/Analitza5/analitzaplot/surface.h
-lib/cmake/Analitza5/Analitza5Config.cmake
-lib/cmake/Analitza5/Analitza5ConfigVersion.cmake
-lib/cmake/Analitza5/Analitza5Targets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/Analitza5/Analitza5Targets.cmake
+include/Analitza6/analitza/abstractexpressionvisitor.h
+include/Analitza6/analitza/abstractlexer.h
+include/Analitza6/analitza/analitzaexport.h
+include/Analitza6/analitza/analitzautils.h
+include/Analitza6/analitza/analyzer.h
+include/Analitza6/analitza/apply.h
+include/Analitza6/analitza/builtinmethods.h
+include/Analitza6/analitza/container.h
+include/Analitza6/analitza/customobject.h
+include/Analitza6/analitza/expression.h
+include/Analitza6/analitza/expressionstream.h
+include/Analitza6/analitza/expressiontype.h
+include/Analitza6/analitza/importqobjectmetatype.h
+include/Analitza6/analitza/list.h
+include/Analitza6/analitza/matrix.h
+include/Analitza6/analitza/object.h
+include/Analitza6/analitza/operations.h
+include/Analitza6/analitza/operator.h
+include/Analitza6/analitza/value.h
+include/Analitza6/analitza/variable.h
+include/Analitza6/analitza/variables.h
+include/Analitza6/analitza/vector.h
+include/Analitza6/analitza_version.h
+include/Analitza6/analitzagui/algebrahighlighter.h
+include/Analitza6/analitzagui/analitzaguiexport.h
+include/Analitza6/analitzagui/analitzawidgets_export.h
+include/Analitza6/analitzagui/expressionedit.h
+include/Analitza6/analitzagui/operatorsmodel.h
+include/Analitza6/analitzagui/plotsview2d.h
+include/Analitza6/analitzagui/plotsview3d_es.h
+include/Analitza6/analitzagui/variablesmodel.h
+include/Analitza6/analitzaplot/analitzaplotexport.h
+include/Analitza6/analitzaplot/functiongraph.h
+include/Analitza6/analitzaplot/planecurve.h
+include/Analitza6/analitzaplot/plotitem.h
+include/Analitza6/analitzaplot/plotsdictionarymodel.h
+include/Analitza6/analitzaplot/plotsfactory.h
+include/Analitza6/analitzaplot/plotsmodel.h
+include/Analitza6/analitzaplot/plotter2d.h
+include/Analitza6/analitzaplot/plotter3d_es.h
+include/Analitza6/analitzaplot/plottingenums.h
+include/Analitza6/analitzaplot/spacecurve.h
+include/Analitza6/analitzaplot/surface.h
+lib/cmake/Analitza6/Analitza6Config.cmake
+lib/cmake/Analitza6/Analitza6ConfigVersion.cmake
+lib/cmake/Analitza6/Analitza6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/Analitza6/Analitza6Targets.cmake
 lib/libAnalitza.so
 lib/libAnalitza.so.%%SHLIB_SHVER%%
 lib/libAnalitza.so.%%SHLIB_VER%%
@@ -59,6 +59,8 @@ lib/libAnalitzaWidgets.so.%%SHLIB_SHVER%%
 lib/libAnalitzaWidgets.so.%%SHLIB_VER%%
 %%QT_QMLDIR%%/org/kde/analitza/Graph2D.qml
 %%QT_QMLDIR%%/org/kde/analitza/Graph3D.qml
+%%QT_QMLDIR%%/org/kde/analitza/analitzadeclarativeplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/analitza/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/analitza/libanalitzadeclarativeplugin.so
 %%QT_QMLDIR%%/org/kde/analitza/qmldir
 share/libanalitza/plots/3Ds.plots
@@ -66,6 +68,7 @@ share/libanalitza/plots/basic_curves.plots
 share/libanalitza/plots/conics.plots
 share/libanalitza/plots/polar.plots
 share/locale/ar/LC_MESSAGES/analitza_qt.qm
+share/locale/ast/LC_MESSAGES/analitza_qt.qm
 share/locale/bs/LC_MESSAGES/analitza_qt.qm
 share/locale/ca/LC_MESSAGES/analitza_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/analitza_qt.qm
@@ -74,6 +77,7 @@ share/locale/da/LC_MESSAGES/analitza_qt.qm
 share/locale/de/LC_MESSAGES/analitza_qt.qm
 share/locale/el/LC_MESSAGES/analitza_qt.qm
 share/locale/en_GB/LC_MESSAGES/analitza_qt.qm
+share/locale/eo/LC_MESSAGES/analitza_qt.qm
 share/locale/es/LC_MESSAGES/analitza_qt.qm
 share/locale/et/LC_MESSAGES/analitza_qt.qm
 share/locale/eu/LC_MESSAGES/analitza_qt.qm
@@ -85,8 +89,8 @@ share/locale/hu/LC_MESSAGES/analitza_qt.qm
 share/locale/ia/LC_MESSAGES/analitza_qt.qm
 share/locale/it/LC_MESSAGES/analitza_qt.qm
 share/locale/ja/LC_MESSAGES/analitza_qt.qm
-share/locale/kk/LC_MESSAGES/analitza_qt.qm
 share/locale/ka/LC_MESSAGES/analitza_qt.qm
+share/locale/kk/LC_MESSAGES/analitza_qt.qm
 share/locale/ko/LC_MESSAGES/analitza_qt.qm
 share/locale/lt/LC_MESSAGES/analitza_qt.qm
 share/locale/lv/LC_MESSAGES/analitza_qt.qm
diff --git a/math/cantor/Makefile b/math/cantor/Makefile
index b8c5c4e9f56a..37ae7ec9ecf7 100644
--- a/math/cantor/Makefile
+++ b/math/cantor/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	cantor
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	math kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -12,22 +11,20 @@ LIB_DEPENDS=	libAnalitza.so:math/analitza \
 		libqalculate.so:math/libqalculate \
 		libspectre.so:print/libspectre \
 		libpoppler.so:graphics/poppler \
-		libpoppler-qt5.so:graphics/poppler-qt5
+		libpoppler-qt6.so:graphics/poppler-qt6
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		pkgconfig python qt:5 shared-mime-info tar:xz xorg
-USE_KDE=	attica auth archive bookmarks codecs completion config \
-		configwidgets coreaddons crash emoticons i18n iconthemes \
-		itemmodels itemviews init jobwidgets kdelibs4support kio \
-		newstuff parts pty service solid sonnet syntaxhighlighting \
-		texteditor textwidgets widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		pkgconfig python qt:6 shared-mime-info tar:xz xorg
+USE_KDE=	archive attica auth bookmarks codecs completion config \
+		configwidgets coreaddons crash i18n iconthemes itemmodels \
+		itemviews jobwidgets kio newstuff parts pty service solid \
+		sonnet syntaxhighlighting texteditor textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui help location network \
-		printsupport sql svg webchannel webengine \
-		widgets xml xmlpatterns \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base svg webchannel webengine \
+		tools:build
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
@@ -49,6 +46,7 @@ R_LIB_DEPENDS=	libR.so:math/R
 # Required to set CFLAGS for -lgfortran.
 R_USES=		fortran
 R_CMAKE_OFF=	-DWITH_R:BOOL=FALSE
+R_BROKEN=	R backend fails with: /usr/include/c++/v1/__locale:1130:9: error: expected ';' at end of declaration list
 
 SAGE_DESC=	Install Sage
 SAGE_RUN_DEPENDS=	sage:math/sage
diff --git a/math/cantor/distinfo b/math/cantor/distinfo
index b9bf944489a8..0f3a06307071 100644
--- a/math/cantor/distinfo
+++ b/math/cantor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889319
-SHA256 (KDE/release-service/23.08.5/cantor-23.08.5.tar.xz) = bf960b96f854cc25d4f13ec8ef52273e8b82f83baa1a75437c1d8ec6dc1fd81d
-SIZE (KDE/release-service/23.08.5/cantor-23.08.5.tar.xz) = 9287344
+TIMESTAMP = 1734460237
+SHA256 (KDE/release-service/24.12.0/cantor-24.12.0.tar.xz) = 3c327a33377e0cd6895936b438fb33a1cea274ba394b997fb0002a80d273f337
+SIZE (KDE/release-service/24.12.0/cantor-24.12.0.tar.xz) = 10869424
